get
https://api.hibob.com/v1/payroll/hub/sync-requests//sync-records
[BETA] MVP for Payroll Hub API for Partners.
Use this endpoint to fetch sync records data for a sync request you received via webhook.
- Use the
syncRequestIdfrom the webhook payload. You must receive a webhook that provides this ID. See the Payroll Hub webhooks (Report sync – Changes, New hires, Terminations). - The response shape depends on which webhook triggered the sync. Make sure you know the type of sync request when you call this endpoint so you know the expected record structure and identifier (e.g. employeeId only vs employeeId + effectiveDate).
- Complete the sync (fetch all pages) before the webhook's
expiringAttimeout.
Pagination: Use limit (1–200) and responseMetadata.nextCursor to paginate until nextCursor is null. See Pagination in Bob's API for more.
